API Reference
Create an Authorization Code flow Credential Offer
/v1/openid/offersReturns an OID4VCI credential offer URI. See https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-10.1
This offer can be used more than once, and can be shared with multiple users. Each user will authenticate independently during the credential issuance workflow, allowing the same offer URI to issue credentials with different user-specific data to multiple holders.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/openid/offers" \ -H "Content-Type: application/json" \ -d '{ "credentials": [ "string" ] }'{ "uri": "string"}Create a Pre-Authorized Code flow Credential Offer
/v1/openid/offers/pre-authorizedGenerate a new OID4VCI Pre-Authorized Code credential offer.
This offer can only be used once. Once the offer is successfully claimed and the credential is issued, the pre-authorized code is consumed and the offer becomes invalid. The offer cannot be claimed again, even if the same user attempts to claim it. This is a security measure to prevent unauthorized credential duplication. If you need to issue another credential to the same user, you must generate a new credential offer.
The total size of the request cannot exceed 500KB, including any claims. This is mostly relevant when including large claims such as images. When holders present credentials over Bluetooth Low Energy (BLE), keep payloads as small as practical, as large claims can degrade the transfer experience. Reserve larger payloads for remote presentation flows.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/openid/offers/pre-authorized" \ -H "Content-Type: application/json" \ -d '{ "credentials": [ "string" ] }'{ "id": "string", "userId": "string", "uri": "string", "expiresAt": 0, "transactionCode": "string"}Delete a Pre-Authorized Code flow Credential Offer
/v1/openid/offers/pre-authorized/{id}Delete an OID4VCI Pre-authorized Code credential offer.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Pre-authorized credential offer ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/openid/offers/pre-authorized/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on